aim4.im.v2i.RequestHandler

## Class ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController

- java.lang.Object
- - aim4.im.v2i.RequestHandler.ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController

- All Implemented Interfaces:
    ApproxNPhasesTrafficSignalRequestHandler.SignalController
  Enclosing class:
    ApproxNPhasesTrafficSignalRequestHandler

      public static class ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController
      extends Object
      implements ApproxNPhasesTrafficSignalRequestHandler.SignalController

  The cyclic signal controller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController(double[] durations, TrafficSignal[] signals)`
    `ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController(double[] durations, TrafficSignal[] signals, double durationOffset)` Create a cyclic signal controller.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrafficSignal` | `getSignal(double time)` Get the signal at the given time

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController

          public ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController(double[] durations,
                                                                         TrafficSignal[] signals)

    - #### ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController

          public ApproxNPhasesTrafficSignalRequestHandler.CyclicSignalController(double[] durations,
                                                                         TrafficSignal[] signals,
                                                                         double durationOffset)

      Create a cyclic signal controller.
      Parameters:
        `durations` - the durations of the signals
        `signals` - the list of signals
        `durationOffset` - the duration offset

  - ### Method Detail

    - #### getSignal

          public TrafficSignal getSignal(double time)

      Get the signal at the given time
      Specified by:
        `getSignal` in interface `ApproxNPhasesTrafficSignalRequestHandler.SignalController`
      Parameters:
        `time` - the given time
      Returns:
        the signal

Copyright © 2013. All rights reserved.